Domanda Risolto Capitolo primo hacklog 2

Stato
Discussione chiusa ad ulteriori risposte.

Scorpionlog

Utente Iron
23 Dicembre 2021
13
3
3
7
Buongiorno a tutti, dopo aver finito il primo libro improntato sulla sicurezza, e ora di inziare con il secondo....
ovviamente non essendo un esperto so bene che la strada non e facile, ma ci sono alcune cose che io ho voglia di capire e comprendere in modo più approfondito, quindi ringrazio in anticipo chi risponderà a questa discussione, sperando che magari possa essere utile anche a chi avrà in futuro gli stessi dubbi.
Mettere in collegamento due macchine virtuali denominate attack e victim, la prima consigliato parrot e fin qui ci siamo, ora creiamo la seconda dove si consiglia di utilizzare debian 9.
1 Perchè debian 9?
Dopo aver trovato finalmente debian 9, dato che tutti i siti rimandano all'ultima versione, lo installo sulla VM, cosi per avere parrot e debian 9 pronte per l'avvio.
Ecco che il prossimo passo e quello di mettere in comunicazione le due macchine settando i parametri rete.....
mouse destro su parrot, impostazioni rete2 e tutto cio che ne ricava.....tt ok
mouse destro su debian .....la voce rete2 non e cliccabile, ma solo rete 1
2 perchè? come ovvio il problema?
Nel frattempo che aspetto per una nuova installazione sperando che fosse un problema di installazione cerco su youtube il video dedicato hacklog 2x2 alla pagina che sto leggendo....
nel video non mostra debian 9 ma bensì metasploitable....allora vado sulla pagina di metasploitable e cerco di scaricare previa registrazione dove per forza di cose richiede una email di lavoro.....
3 ma se io non ho la facoltà di avere una email di lavoro, cosa vuol dire che non posso scaricarla?
Non mi arrendo, e cerco una metasploitable da scaricare online senza la registrazione, ma ovviamente dopo averla installata ecco che da terminale richiede i dati di accesso che sarebbero appunto gli stessi che avrei avuto se non ci fosse stata la voce "email di lavoro"....
Bene cerco l'alternativa, ovvero installare debian 9 e una metasploitable al suo interno....
4 proseguo bene cosi?
Grazie di cuore a chi avrà dedicato tempo a leggere e risolvere i miei dubbi grazie.
 

ElectricDreamer

Utente Electrum
23 Febbraio 2017
465
4
185
141
Buongiorno a tutti, dopo aver finito il primo libro improntato sulla sicurezza, e ora di inziare con il secondo....
ovviamente non essendo un esperto so bene che la strada non e facile, ma ci sono alcune cose che io ho voglia di capire e comprendere in modo più approfondito, quindi ringrazio in anticipo chi risponderà a questa discussione, sperando che magari possa essere utile anche a chi avrà in futuro gli stessi dubbi.
Mettere in collegamento due macchine virtuali denominate attack e victim, la prima consigliato parrot e fin qui ci siamo, ora creiamo la seconda dove si consiglia di utilizzare debian 9.
1 Perchè debian 9?
Dopo aver trovato finalmente debian 9, dato che tutti i siti rimandano all'ultima versione, lo installo sulla VM, cosi per avere parrot e debian 9 pronte per l'avvio.
Ecco che il prossimo passo e quello di mettere in comunicazione le due macchine settando i parametri rete.....
mouse destro su parrot, impostazioni rete2 e tutto cio che ne ricava.....tt ok
mouse destro su debian .....la voce rete2 non e cliccabile, ma solo rete 1
2 perchè? come ovvio il problema?
Nel frattempo che aspetto per una nuova installazione sperando che fosse un problema di installazione cerco su youtube il video dedicato hacklog 2x2 alla pagina che sto leggendo....
nel video non mostra debian 9 ma bensì metasploitable....allora vado sulla pagina di metasploitable e cerco di scaricare previa registrazione dove per forza di cose richiede una email di lavoro.....
3 ma se io non ho la facoltà di avere una email di lavoro, cosa vuol dire che non posso scaricarla?
Non mi arrendo, e cerco una metasploitable da scaricare online senza la registrazione, ma ovviamente dopo averla installata ecco che da terminale richiede i dati di accesso che sarebbero appunto gli stessi che avrei avuto se non ci fosse stata la voce "email di lavoro"....
Bene cerco l'alternativa, ovvero installare debian 9 e una metasploitable al suo interno....
4 proseguo bene cosi?
Grazie di cuore a chi avrà dedicato tempo a leggere e risolvere i miei dubbi grazie.
1. Ormai Hacklog Vol.2 ha qualche hanno sulle spalle, motivo per cui era consigliato Debian 9, ma tutti i tool utilizzati nel libro dovrebbero funzionare correttamente anche con le versioni più recenti di Debian. La scelta della distribuzione in sè non è fondamentale, ma Debian è nota per la semplicità d'uso, sopratutto per chi si sta avvicinando a Linux

2. Sinceramente non ricordo di aver avuto questo problema, cerca di essere più specifico (magari con uno screenshot)

3. Metasploitable costituisce una macchina a parte nella rete che stai costruendo, ovvero dovrai dedicargli una VM diversa da quella con Debian. Il link per scaricare Metasploitable 2.0 è questo https://sourceforge.net/projects/metasploitable/, nessun bisogno di email (in ogni caso basterebbe un'email qualunque, anche finta)
 
  • Mi piace
Reazioni: Scorpionlog

Scorpionlog

Utente Iron
23 Dicembre 2021
13
3
3
7
Ultima modifica:
1. Ormai Hacklog Vol.2 ha qualche hanno sulle spalle, motivo per cui era consigliato Debian 9, ma tutti i tool utilizzati nel libro dovrebbero funzionare correttamente anche con le versioni più recenti di Debian. La scelta della distribuzione in sè non è fondamentale, ma Debian è nota per la semplicità d'uso, sopratutto per chi si sta avvicinando a Linux

2. Sinceramente non ricordo di aver avuto questo problema, cerca di essere più specifico (magari con uno screenshot)

3. Metasploitable costituisce una macchina a parte nella rete che stai costruendo, ovvero dovrai dedicargli una VM diversa da quella con Debian. Il link per scaricare Metasploitable 2.0 è questo https://sourceforge.net/projects/metasploitable/, nessun bisogno di email (in ogni caso basterebbe un'email qualunque, anche finta)

Ti ringrazio infinitamente per le risposte, avevo intanto risolto il problema di metasploitable, mi resta solo da collegare la macchina attacco con la macchina vittima, ma se devo seguire il manuale non ci riesco sulla macchina vittima ovvero (debian 9) pe il semplice motivo che cliccandoci con mouse destro su, impostazioni, rete, scheda 2 non me la da disponibile....ma sono tutti e tre ovvero metasploitable, attack e vittima su scheda 1....e volevo appunto capire dato che sul manuale indica (scheda 2)
 

Allegati

  • vm.png
    vm.png
    100.7 KB · Visualizzazioni: 4
  • rete 2.png
    rete 2.png
    94.5 KB · Visualizzazioni: 4

0xbro

Moderatore
24 Febbraio 2017
3,956
151
2,882
1,525
Ti ringrazio infinitamente per le risposte, avevo intanto risolto il problema di metasploitable, mi resta solo da collegare la macchina attacco con la macchina vittima, ma se devo seguire il manuale non ci riesco sulla macchina vittima ovvero (debian 9) pe il semplice motivo che cliccandoci con mouse destro su, impostazioni, rete, scheda 2 non me la da disponibile....ma sono tutti e tre ovvero metasploitable, attack e vittima su scheda 1....e volevo appunto capire dato che sul manuale indica (scheda 2)
Le impostazioni delle macchine virtuali sono bloccate quando queste sono in esecuzione. Per attivare la seconda interfaccia di rete devi prima spegnere la macchina e solo allora potrai abilitare la scheda di rete 2
 
  • Mi piace
Reazioni: Scorpionlog

Scorpionlog

Utente Iron
23 Dicembre 2021
13
3
3
7
Le impostazioni delle macchine virtuali sono bloccate quando queste sono in esecuzione. Per attivare la seconda interfaccia di rete devi prima spegnere la macchina e solo allora potrai abilitare la scheda di rete 2
Cavolo era la prima cosa che avevo provato a fare , quello di spegnere le macchine ma nada......dopo aver letto il tuo messaggio ho deciso di riavviare proprio il pc, e in effetti in quel caso si e abilitato anche scheda 2.......ti ringrazio!
 
Stato
Discussione chiusa ad ulteriori risposte.